Core - Bug # 57458

Status: Resolved Priority: Should have
Author: Nicole Cordes Category: Install Tool
Created: 2014-03-31 Assigned To: Nicole Cordes
Updated: 2014-04-01 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: Yes

Sprint Focus:

Subject: Failed to write LocalConfiguration.php backup

Description

On updating a 6.x system the LocalConfiguration.php should be backed up before PackagStates.php is written. This fails because of

the check of PackageStates.php which wasn't written before.

Related issues:
related to Core - Task # 53988: First Time Installation doesn't need a "befor...

Resolved 2013-11-26

Associated revisions

Revision 680c83ee - 2014-04-01 20:58 - Nicole Cordes

[BUGFIX] Backup of LocalConfiguration.php missing on update

If you update from a 6.x installation there should be a backup of the
old, unmodified LocalConfiguration.php as it's getting changed during
PackageStates.php extraction. This is prevented with commit e755bcd
as a check for the PackageStates.php file was introduced, which might
not be available at this point during upgrade.

Resolves: #57458

Releases: 6.2

Change-Id: Ic3634ab58e3e4112df5d8544cca9c42e8f1db91f
Reviewed-on: https://review.typo3.0rg/28980

Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History

#1 - 2014-03-31 16:04 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28980

#2 - 2014-03-31 16:12 - Gerrit Code Review
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28980

#3 - 2014-03-31 16:23 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28980

#4 - 2014-03-31 16:42 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28980

#5 - 2014-04-01 21:30 - Nicole Cordes
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:680c83ee3271674bac5708e75bb1007f40dafb7f.
